# $Revision: 1.127 $, $Date: 2008/11/26 16:43:45 $
#
# Conditional build:
%bcond_without	libwrap 	# without hosts.{access,deny} support
#
Summary:	The Enlightened Sound Daemon
Summary(es.UTF-8):	El servidor de sonido del Enlightenment
Summary(fr.UTF-8):	Démon audio de Enlightment
Summary(pl.UTF-8):	Oświecony Demon Dźwięku
Summary(pt_BR.UTF-8):	O servidor de som do Enlightenment
Summary(ru.UTF-8):	Сервер, позволяющий микшировать вывод на звуковое устройство
Summary(uk.UTF-8):	Сервер, що дозволяє мікширувати вивід на звуковий пристрій
Name:		esound
Version:	0.2.41
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		Daemons
Source0:	http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/%{name}-%{version}.tar.bz2
# Source0-md5:	8d9aad3d94d15e0d59ba9dc0ea990c6c
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-auto_spawn.patch
URL:		http://www.tux.org/~ricdude/EsounD.html
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	audiofile-devel >= 1:0.2.0
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.6
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	gnome-doc-tools
BuildRequires:	libtool
%{?with_libwrap:BuildRequires:	libwrap-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
The Enlightened Sound Daemon is a server process that allows multiple
applications to share a single sound card.

%description -l es.UTF-8
El servidor de sonido esound es en proceso que permite que múltiples
aplicaciones compartan una misma tarjeta de sonido.

%description -l fr.UTF-8
Le démon audio de Enlightment est un processus serveur qui permets à
plusieures applications d'utilsier la carte son à la fois.

%description -l pl.UTF-8
"Oświecony demon dźwięku" jest serwerem, który umożliwia korzystanie
(dzielenie) z jednej karty dźwiękowej przez różne aplikacje.

%description -l pt_BR.UTF-8
O servidor de som esound é um processo que permite que múltiplas
aplicações compartilhem uma placa de som.

%description -l ru.UTF-8
EsounD (демон, обслуживающий звук, из проекта Enlightenment) может
микшировать несколько звуковых потоков в одно устройство в реальном
времени.

%description -l uk.UTF-8
EsounD (демон, обслуговуючий звук, з проекту Enlightenment) може
мікширувати кілька звукових потоків в один пристрій в реальному часі.

%package libs
Summary:	EsounD libraries
Summary(pl.UTF-8):	Biblioteki EsounD
Group:		Libraries
Obsoletes:	esound-alsa
Obsoletes:	esound-oss
Obsoletes:	libesound0

%description libs
EsounD libraries.

%description libs -l pl.UTF-8
Biblioteki EsounD.

%package devel
Summary:	Header files etc. to develop EsounD applications
Summary(es.UTF-8):	Archivos de inclusión, etc para desarrollar aplicaciones EsounD
Summary(fr.UTF-8):	Includes, etc pour programmer pour EsounD
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do tworzenia aplikacji z użyciem EsounD
Summary(pt_BR.UTF-8):	Arquivos de inclusão, etc para desenvolver aplicações EsounD
Summary(ru.UTF-8):	Библиотеки разработки для esound
Summary(uk.UTF-8):	Бібліотеки розробки для esound
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	alsa-lib-devel >= 1.0.0
Requires:	audiofile-devel >= 1:0.2.0
Obsoletes:	libesound0-devel

%description devel
Header files, etc you can use to develop EsounD applications.

%description devel -l es.UTF-8
Archivos de inclusión, etc, para que puedas desarrollar aplicaciones
que usen el servidor de sonido EsounD.

%description devel -l fr.UTF-8
Fichiers d'en-têtes, etc. necessaires pour écrire des applications
avec support EsounD.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne potrzebne do tworzenia aplikacji
korzystających z systemu EsounD.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão, etc, para que você possa desenvolver aplicações
que usem o servidor de som EsounD.

%description devel -l ru.UTF-8
Этот пакет включает файлы хедеров и библиотеки, необходимые для
разработки приложений, использующих esound.

%description devel -l uk.UTF-8
Цей пакет містить .h-файли та бібліотеки, необхідні для розробки
прикладних програм, що використовують esound.

%package static
Summary:	EsounD static library
Summary(es.UTF-8):	Bibliotecas estáticas para desarrollar aplicaciones EsounD
Summary(pl.UTF-8):	Biblioteka statyczna esound
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolver aplicações EsounD
Summary(ru.UTF-8):	Статические библиотеки разработки для esound
Summary(uk.UTF-8):	Статичні бібліотеки розробки для esound
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description static
EsounD static library.

%description static -l es.UTF-8
Bibliotecas estáticas para que puedas desarrollar aplicaciones que
usen el servidor de sonido EsounD.

%description static -l pl.UTF-8
Biblioteka statyczna esound.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para que você possa desenvolver aplicações que
usem o servidor de som EsounD.

%description static -l ru.UTF-8
Этот пакет включает статические библиотеки, необходимые для разработки
приложений, использующих esound.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки, необхідні для розробки
прикладних програм, що використовують esound.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-ipv6 \
	--with%{!?with_libwrap:out}-libwrap \
	--enable-alsa \
	--enable-oss \
	--enable-local-sound
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

rm -rf $RPM_BUILD_ROOT%{_docdir}/esound

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TIPS TODO docs/html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esd.conf
%attr(755,root,root) %{_bindir}/esd
%attr(755,root,root) %{_bindir}/esdcat
%attr(755,root,root) %{_bindir}/esdctl
%attr(755,root,root) %{_bindir}/esddsp
%attr(755,root,root) %{_bindir}/esdfilt
%attr(755,root,root) %{_bindir}/esdloop
%attr(755,root,root) %{_bindir}/esdmon
%attr(755,root,root) %{_bindir}/esdplay
%attr(755,root,root) %{_bindir}/esdrec
%attr(755,root,root) %{_bindir}/esdsample
%{_mandir}/man1/esd.1*
%{_mandir}/man1/esd[a-z]*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libesd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libesd.so.0
%attr(755,root,root) %{_libdir}/libesddsp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libesddsp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/esd-config
%attr(755,root,root) %{_libdir}/libesd.so
%attr(755,root,root) %{_libdir}/libesddsp.so
%{_libdir}/libesd.la
%{_libdir}/libesddsp.la
%{_includedir}/esd.h
%{_aclocaldir}/esd.m4
%{_pkgconfigdir}/esound.pc
%{_mandir}/man1/esd-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libesd.a
%{_libdir}/libesddsp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: esound.spec,v $
Revision 1.127  2008/11/26 16:43:45  sls
- BR: gnome-doc-tools

Revision 1.126  2008/11/23 19:05:48  megabajt
- updated to 0.2.41

Revision 1.125  2008/11/05 09:01:23  arekm
- release 2

Revision 1.124  2008/09/13 11:22:41  patrys
- 0.2.40

Revision 1.123  2008/08/20 04:54:54  qboosh
- updated to 0.2.39
- License is LGPL (except for arts driver, which is not compiled anyway)

Revision 1.122  2007/05/04 07:59:32  megabajt
- updated to 0.2.38

Revision 1.121  2007/02/27 18:18:31  megabajt
- updated to 0.2.37
- removed obsolete am patch

Revision 1.120  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.119  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.118  2006/11/28 22:40:02  arekm
- rel 7

Revision 1.117  2006/11/25 13:24:34  arekm
- rel 6

Revision 1.116  2006/04/21 17:00:00  freetz
- more detailed changelog info

Revision 1.115  2006/04/21 16:02:55  freetz
- alsa support incorporated into main library, dropped
  driver packages and alsa bcond, rel.5

Revision 1.114  2006/04/20 17:33:59  paladine
- fixed Ps and Rs, rel. 4

Revision 1.113  2006/01/22 12:59:12  pluto
- BR:docbook-dtd31-sgml, -libs split, release 3.

Revision 1.112  2005/11/27 23:54:35  pluto
- BR: docbook-utils.

Revision 1.111  2005/10/08 13:58:37  freetz
- always set default auto spawn options, rel.2

Revision 1.110  2005/06/11 19:10:23  qboosh
- updated to 0.2.36, updated etc_dir patch

Revision 1.109  2005/05/11 14:32:23  qboosh
- updated 64-bit archs list

Revision 1.108  2005/05/03 18:50:57  pluto
- spaces -> tabs.
- release 2 for Th.

Revision 1.107  2004/08/27 11:59:19  krzak
- --enable-local-sound  it's enabled by default... added just to clarify.

Revision 1.106  2004/08/12 16:09:43  aflinta
- up to version 0.2.35

Revision 1.105  2004/08/11 20:54:50  qboosh
- release 2

Revision 1.104  2004/07/25 20:46:14  qboosh
- fixed libesd.so.0 Provides for 64-bit archs

Revision 1.103  2004/03/18 18:14:37  grzegol
- added epoch to audiofile requires

Revision 1.102  2004/03/16 14:57:16  grzegol
- updated to 0.2.34

Revision 1.101  2004/03/02 11:23:28  grzegol
- strict internal deps

Revision 1.100  2004/03/01 21:14:47  aflinta
- up to version 0.2.33

Revision 1.99  2004/01/18 10:16:43  erjot
- s/Conflicts/Obsoletes/ to allow upgrade from -oss to -alsa
- remove bcond from patch
- rel 4

Revision 1.98  2003/12/20 02:27:53  maho
- added ALSA new pcm api patch

Revision 1.97  2003/12/17 12:15:28  wiget
- fix underquote in esd.m4
- release 3

Revision 1.96  2003/11/10 19:38:14  qboosh
- support alsa on sparc, -devel desc cleanup, moved base docs to base
- release 2

Revision 1.95  2003/09/07 09:32:02  mmazur
- doing without alsa on sparc fixed

Revision 1.94  2003/09/06 23:01:52  mmazur
- alsa is not available on sparc so we build without it

Revision 1.93  2003/09/03 19:17:39  qboosh
- postun oss/alsa were evil (removed symlink after upgrade to new release
  with the same version) - removed, marked libesd.so.%%{version} as %ghost -
  let rpm remove it on esound upgrade/uninstall
- swapped alsa/oss build to make libesd.la without -lasound (so it won't
  be propagated through whole GNOME - shared libesd-alsa.so* is properly
  linked, so no further -lasound is needed)

Revision 1.92  2003/09/03 18:09:46  grzegol
- updated to 0.2.32
- added R(post,postun): /sbin/ldconfig in -oss and -alsa subpackages

Revision 1.91  2003/09/03 14:24:35  malekith
- make it work with both oss and alsa
- release 2

Revision 1.90  2003/09/03 13:34:07  malekith
- new style bconds

Revision 1.89  2003/09/02 18:08:34  malekith
- fix --without alsa descripting -- enabling alsa disables OSS

Revision 1.88  2003/09/02 15:14:14  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.87  2003/08/11 16:40:27  aflinta
- version 0.2.31

Revision 1.86  2003/08/07 19:10:51  qboosh
- updated etc_dir patch to current policy (s/ETC_DIR/HOME_ETC/, leave dots)

Revision 1.85  2003/08/01 16:59:30  grzegol
- updated to 0.2.30
- changed to .bz2 source
- added --enable-ipv6
- more %%doc

Revision 1.84  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.83  2003/07/04 08:32:22  wiget
- release 3

Revision 1.82  2003/06/21 09:19:14  jareq
- fixed epoch:version issue

Revision 1.81  2003/06/04 12:45:15  qboosh
- killed alsa entropy (BR+R+bcond)

Revision 1.80  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.79  2003/05/25 05:47:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/04/07 12:22:03  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.77  2003/03/10 13:24:02  juandon
- added home_etc.patch
- Release 2

Revision 1.76  2003/01/28 17:06:24  aflinta
- alsa is back

Revision 1.75  2003/01/22 13:14:01  trojan
- fixed source URL

Revision 1.74  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.73  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.72  2002/08/27 08:05:44  aflinta
- updated to version 0.2.29

Revision 1.71  2002/06/23 02:15:29  kloczek
- updated to 0.2.28,
- removed esddsp.in patch (now in main stream).

Revision 1.70  2002/06/16 20:46:47  qboosh
- added missing man pages
- release 2

Revision 1.69  2002/06/14 20:47:55  kloczek
- release 1: use new %doc.

Revision 1.68  2002/06/11 17:21:12  wiget
start update to 0.2.27

Revision 1.67  2002/05/21 23:12:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.66  2002/05/11 18:04:12  kloczek
- updated to 0.2.26.

Revision 1.65  2002/04/25 16:11:00  qboosh
- added ac25x patch needed for autoconf 2.53; release 2

Revision 1.64  2002/04/24 19:44:43  kloczek
- updated to 0.2.14,
- removed included in current version ztp patch,
- merge translations from KSI and Conectiva.

Revision 1.63  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.62  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.61  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.60  2002/01/18 02:12:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.59  2002/01/14 17:26:50  michuz
- release 7
- added pkgconfig support

Revision 1.58  2002/01/11 21:11:51  qboosh
- workaround - now it can be built without alsa-lib-devel installed
- release 6

Revision 1.57  2002/01/11 01:14:33  misiek
- fixes and alsa 0.9 support; release 5

Revision 1.56  2002/01/02 18:32:04  kloczek
- release 4: libesound0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.55  2001/10/25 12:28:35  qboosh
- release 3: added _without_libwrap bcond

Revision 1.54  2001/10/22 11:01:20  qboosh
- release 2: fixed esddsp.in (removed basism, set libdir); STBR

Revision 1.53  2001/09/26 10:10:59  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.52  2001/09/10 23:33:45  kloczek
- updated to 0.2.23,
- updated esddsp.in patch and removed debian patch.

Revision 1.51  2001/08/29 19:19:27  kloczek
- added esddsp.in patch (removed all bashizms from esddsp.in script).

Revision 1.50  2001/08/29 17:41:47  kloczek
- release 6: updated URL.

Revision 1.49  2001/02/27 10:58:20  kloczek
- relese 3,
- rebuild against audiofile 0.2.x (BuildRequires: audiofile-devel >= 0.2.0).

Revision 1.48  2001/02/10 20:05:26  misiek
added debian patch; release 2; stb

Revision 1.47  2000/11/30 23:04:44  wiget
0.2.22

Revision 1.46  2000/10/23 20:16:11  kloczek
- release 2, Epoch 1 (for allow upgrade from RH 7).

Revision 1.45  2000/10/06 02:34:10  kloczek
- updated to 0.2.20,
- use new rpm automation suit.

Revision 1.44  2000/07/19 03:59:59  kloczek
- updated to 0.2.19.

Revision 1.43  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.42  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.41  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.40  2000/04/06 22:59:07  kloczek
- updated to 0.2.18,
- added using %%{_aclocaldir} macro,
- removed aotdated alsa patch.

Revision 1.39  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.38  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.37  2000/01/27 17:53:49  kloczek
- release 3,
- rmoved "Requires: alsa-devel" from devel.

Revision 1.36  2000/01/25 08:27:59  kloczek
- updated to 0.2.17,
- added --disable-alsa and --with-libwrap to ./configure parameters (this
  allow build GNOME based packages independent from alsa but alsa will still
  can be use as sound drivers platform).

Revision 1.35  1999/12/21 17:57:23  wiget
- more requires for -devel

Revision 1.34  1999/12/07 10:27:35  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.33  1999/11/14 00:21:37  kloczek
- updated to 0.2.16,
- updatedt Source url.

Revision 1.32  1999/10/13 11:36:10  pius
- updated to 0.2.15

Revision 1.31  1999/09/08 16:05:41  kloczek
- updated to 0.2.13.

Revision 1.30  1999/09/02 07:37:50  wiget
- upgraded o 0.2.13
- added patche to compile with ALSA 0.4.1

Revision 1.29  1999/08/19 09:41:57  kloczek
- added es, fr translation from bero spec.

Revision 1.28  1999/08/19 09:36:37  kloczek
- fix in %%patch.

Revision 1.27  1999/08/19 09:32:16  kloczek
- release 6,
- added patch for sparc.

Revision 1.26  1999/08/03 21:44:29  kloczek
- release 3,
- added using %%configure macro,
- added lib*.la files to devel.

Revision 1.25  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2.12-2]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
